Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao
Class DAOFactory

    java.lang.Object
      net.sourceforge.pebble.dao.DAOFactory

Direct Known Subclasses:
  FileDAOFactory

    public abstract class DAOFactory

extends java.lang.Object

Represents a strategy used to load and store blog entries in the filing system.

Author:
  Simon Brown

Constructor Summary
`DAOFactory()`

Method Summary
`abstract BlogEntryDAO` | `getBlogEntryDAO()` Gets a DAO instance responsible for the dao of blog entries.
`abstract CategoryDAO` | `getCategoryDAO()` Gets a DAO instance responsible for the dao of categories.
`static DAOFactory` | `getConfiguredFactory()`
`abstract RefererFilterDAO` | `getRefererFilterDAO()` Gets a DAO instance responsible for the dao of referer filters.
`abstract StaticPageDAO` | `getStaticPageDAO()` Gets a DAO instance responsible for the dao of static pages.
`static void` | `setConfiguredFactory(DAOFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAOFactory

    public DAOFactory()

Method Detail

### getBlogEntryDAO

    public abstract BlogEntryDAO getBlogEntryDAO()

  Gets a DAO instance responsible for the dao of blog entries.

  Returns:
    a BlogEntryDAO instance

### getStaticPageDAO

    public abstract StaticPageDAO getStaticPageDAO()

  Gets a DAO instance responsible for the dao of static pages.

  Returns:
    a StaticPageDAO instance

### getCategoryDAO

    public abstract CategoryDAO getCategoryDAO()

  Gets a DAO instance responsible for the dao of categories.

  Returns:
    a CategoryDAO instance

### getRefererFilterDAO

    public abstract RefererFilterDAO getRefererFilterDAO()

  Gets a DAO instance responsible for the dao of referer filters.

  Returns:
    a RefererFilterDAO instance

### setConfiguredFactory

    public static void setConfiguredFactory(DAOFactory factory)

### getConfiguredFactory

    public static DAOFactory getConfiguredFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.